package cn.yw.alarmcode.bean;

import cn.base.bean.BaseBean;
//[运维告警代码信息]

public class YwalarmeventcodeBean extends BaseBean implements java.io.Serializable {
	private String alarmcodeid;//[告警代码id]
	private String alarmcodetype;//[告警代码类型]
	private int alarmcode;//[告警代码]
	private String alarmname;//[告警名称]
	private int isenable;//[是否启用]
	private String createaccount;//[创建人员]
	private String createtime;//[创建日期]
	private String modifyaccount;//[修改人员]
	private String modifytime;//[修改日期]
	private String remarks;//[备注]
	private String extend1;//[扩展1]
	private String extend2;//[扩展2]
	private String extend3;//[扩展3]
	private String extend4;//[扩展4]
	public void setAlarmcodeid(String alarmcodeid){
		this.alarmcodeid = alarmcodeid;
	}
	public String getAlarmcodeid(){
		return alarmcodeid;
	}
	public void setAlarmcodetype(String alarmcodetype){
		this.alarmcodetype = alarmcodetype;
	}
	public String getAlarmcodetype(){
		return alarmcodetype;
	}
	public void setAlarmcode(int alarmcode){
		this.alarmcode = alarmcode;
	}
	public int getAlarmcode(){
		return alarmcode;
	}
	public void setAlarmname(String alarmname){
		this.alarmname = alarmname;
	}
	public String getAlarmname(){
		return alarmname;
	}
	public void setIsenable(int isenable){
		this.isenable = isenable;
	}
	public int getIsenable(){
		return isenable;
	}
	public void setCreateaccount(String createaccount){
		this.createaccount = createaccount;
	}
	public String getCreateaccount(){
		return createaccount;
	}
	public void setCreatetime(String createtime){
		this.createtime = createtime;
	}
	public String getCreatetime(){
		return createtime;
	}
	public void setModifyaccount(String modifyaccount){
		this.modifyaccount = modifyaccount;
	}
	public String getModifyaccount(){
		return modifyaccount;
	}
	public void setModifytime(String modifytime){
		this.modifytime = modifytime;
	}
	public String getModifytime(){
		return modifytime;
	}
	public void setRemarks(String remarks){
		this.remarks = remarks;
	}
	public String getRemarks(){
		return remarks;
	}
	public void setExtend1(String extend1){
		this.extend1 = extend1;
	}
	public String getExtend1(){
		return extend1;
	}
	public void setExtend2(String extend2){
		this.extend2 = extend2;
	}
	public String getExtend2(){
		return extend2;
	}
	public void setExtend3(String extend3){
		this.extend3 = extend3;
	}
	public String getExtend3(){
		return extend3;
	}
	public void setExtend4(String extend4){
		this.extend4 = extend4;
	}
	public String getExtend4(){
		return extend4;
	}
}